public static interface SpringIntegrationEndpointBuilderFactory.SpringIntegrationBuilders
| Modifier and Type | Method and Description |
|---|---|
default SpringIntegrationEndpointBuilderFactory.SpringIntegrationEndpointBuilder |
springIntegration(String path)
Spring Integration (camel-spring-integration)
Bridge Camel with Spring Integration.
|
default SpringIntegrationEndpointBuilderFactory.SpringIntegrationEndpointBuilder |
springIntegration(String componentName,
String path)
Spring Integration (camel-spring-integration)
Bridge Camel with Spring Integration.
|
default SpringIntegrationEndpointBuilderFactory.SpringIntegrationEndpointBuilder springIntegration(String path)
spring-integration:defaultChannel
Path parameter: defaultChannel (required)
The default channel name which is used by the Spring Integration
Spring context. It will equal to the inputChannel name for the Spring
Integration consumer and the outputChannel name for the Spring
Integration provider.path - defaultChanneldefault SpringIntegrationEndpointBuilderFactory.SpringIntegrationEndpointBuilder springIntegration(String componentName, String path)
spring-integration:defaultChannel
Path parameter: defaultChannel (required)
The default channel name which is used by the Spring Integration
Spring context. It will equal to the inputChannel name for the Spring
Integration consumer and the outputChannel name for the Spring
Integration provider.componentName - to use a custom component name for the endpoint
instead of the default namepath - defaultChannelApache Camel